program BzScore;
{ Copyright (C) 2006 Vincent BEUSELINCK

  Ce code source est un logiciel libre; Vous pouvez le redistribuer et/ou le
  modifier dans les conditions prevues par la licence GNU General Public Licence
  publiee par la Free Software Foundation dans sa version 2 ou superieure (selon
  votre choix).

  Ce code est distribue dans l'espoir qu'il vous soit utile, mais sans aucune
  garantie, notamment aucune garantie de commercialisation ou d'adaptation
  a un usage particulier. Voir la licence GPL pour plus de detail.
  
  Une copie de la licence GPL est disponible sur le web a l'adresse suivante :
  <http://www.gnu.org/copyleft/gpl.html>

  Une version francaise est lisible ici :
  <http://www.linux-france.org/article/these/gpl.html>

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA.
}

uses
  Interfaces,Forms,  Translations, gettext,
  Unit1 in 'UNIT1.PAS' {Form1},
  Unit2 in 'UNIT2.PAS' {BtnBottomDlg},
  Unit3 in 'UNIT3.PAS' {FormQui},
 // Unit4 in 'UNIT4.PAS' {BtnBottomDlg2},
  Unit5 in 'UNIT5.PAS' {Form5},
  Unit7 in 'UNIT7.PAS' {Form2},
  Ugraph in 'ugraph.PAS', Unit4 {Form3};
//{$R *.RES}

procedure Translate;
var
  PODirectory, Lang, FallbackLang: AnsiString;
begin
  PODirectory:='./';
  Lang:='';
  FallbackLang:='';
  GetLanguageIDs(Lang,FallbackLang); // in unit gettext
  Translations.TranslateUnitResourceStrings('Unit6',
                      PODirectory+'bzscore.%s.po',Lang,FallbackLang);
  // ... add here a TranslateUnitResourceStrings call for every po file ...
end;


//{$i bzscore.ico}

{$R *.res}

begin
  Translate;
  Application.initialize;
  //Application.HelpFile := 'BzScore.hlp';
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TFormCalc, FormCalc);
  Application.CreateForm(TFormQui, FormQui);
  //Application.CreateForm(TBtnBottomDlg2, BtnBottomDlg2);
  Application.CreateForm(TPostIt, PostIt);
  Application.CreateForm(TFormGraph, FormGraph);
  Application.CreateForm(TFormStat, FormStat);
  Application.CreateForm(TForm2, Form2);
  Application.Run;
end.
