unit Ugraph;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, EditBtn,inifiles,unit5,unit6,unit2;

type

  { TFormGraph }

  TFormGraph = class(TForm)
    PaintBox1: TPaintBox;
    procedure PaintBox1MouseDown(Sender: TOBject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure PaintBox1MouseUp(Sender: TOBject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure PaintBox1Paint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  FormGraph: TFormGraph;

implementation
uses Unit1;
var maxx, maxy,minx :integer;
    nbxy,increment:integer; //nb de valeurs, écart entre chaque echelle X
    maxpt,minpt:integer;        // echelle Y, amplitude [- minpt ; +maxpt ]
{ TFormGraph }

procedure TFormGraph.PaintBox1Paint(Sender: TObject);
var m,n:integer;
    score:integer;

begin
// attention : origine o,o en haut à gauche
  maxx:=paintbox1.clientwidth-1;
  maxy:=paintbox1.clientheight-1;
  score:=0;
  nbxy:= strtoint(form1.edit13.text);
  maxpt:=0;
  minpt:=0;
  // DEBUT DU GRAPHIQUE
  for m:=1 to nombre+morts do
  for n:=1 to nbxy do
      begin
      if form1.stringgrid1.cells[m,n]<>'' then
       score:=strtoint(form1.stringgrid1.cells[m,n]);
      if score> maxpt then maxpt:=score;
      if score< minpt then minpt:=score;
      end;
  minx:=paintbox1.canvas.GetTextwidth(inttostr(maxpt));//marge pour écrire l'échelle
  if paintbox1.canvas.GetTextwidth(inttostr(minpt))>minx then minx:=paintbox1.canvas.GetTextwidth(inttostr(minpt));

  increment:=(maxx-minx) div nbxy;
  if increment <2 then increment:=2; // ici on va pouvoir mettre un minima qui obligera à défiler
  // on a maintenant l'amplitude
  with paintbox1.canvas do
       begin
       pen.Color:=$7f000000;
       font.color:=pen.color;
       TextOut(1,1,inttostr(maxpt));         //échelle
       TextOut(1,-maxy *minpt div (maxpt-minpt),'0');
       TextOut(1,maxy-gettextheight(inttostr(minpt)),inttostr(minpt));

       moveto (minx,1);
       lineto (minx,maxy);    // barre verticale
       moveto (minx,maxy-(-maxy *minpt div (maxpt-minpt)));
       lineto (maxx,maxy-(-maxy *minpt div (maxpt-minpt)));   //barre horizontale

       end;

  for m:=1 to nombre+morts do //on trace pour chaque joueur !
      begin
         case m of
         1:paintbox1.canvas.pen.Color:=$7fCC0000;
         2:paintbox1.canvas.pen.Color:=$7f00CC00;
         3:paintbox1.canvas.pen.Color:=$7f0000CC;
         4:paintbox1.canvas.pen.Color:=$7f00CCCC;
         5:paintbox1.canvas.pen.Color:=$7fCCCC00;
         6:paintbox1.canvas.pen.Color:=$7fCC00CC;
         7:paintbox1.canvas.pen.Color:=$7fCCCCCC;
         end;
         paintbox1.canvas.font.Color:=paintbox1.canvas.pen.Color;


            paintbox1.canvas.pen.style:=psSolid;
         paintbox1.canvas.moveto(minx,maxy-(-maxy *minpt div (maxpt-minpt)));// retour origine

         for n:=1 to nbxy do
              begin
                    if form1.stringgrid1.cells[m,n]<>'' then
                     score:=strtoint(form1.stringgrid1.cells[m,n]);
              paintbox1.canvas.lineto((n*increment)+m,m+maxy-(maxy * (score-minpt) div (maxpt-minpt)));
              // inscrire le nom
              if m=n then
                 begin
                 paintbox1.canvas.textout((n*increment)+minx,m+maxy-(maxy * (score-minpt) div (maxpt-minpt)),form1.stringgrid1.cells[m,0]);
                 paintbox1.canvas.moveto((n*increment),m+maxy-(maxy * (score-minpt) div (maxpt-minpt)));
                 end;
              end;
      end;
end;


procedure TFormGraph.PaintBox1MouseUp(Sender: TOBject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  PostIt.close;

end;


procedure TFormGraph.PaintBox1MouseDown(Sender: TOBject; Button: TMouseButton;
  Shift: TShiftState;X, Y: Integer);
    //clic sur une ligne :sauver:tinifile à supprimer
  var P:TPoint;

      chaine:string;

      numero,defense:integer;
      horaire:tdatetime;
      petitaubout,contrat,preneur:string;
      gagnede:integer;
begin
   PostIt.memo1.lines.Clear;
  P:=Mouse.CursorPos;
  P:=Paintbox1.ScreenToClient(P);

   numero:=((P.X-minx) div increment)+1; //on obtient n
   //sauver:=tinifile.create(newsave);
   if lesparties[numero].visible then
   horaire:= lesparties[numero].quand;
  if lesparties[numero].visible then
    begin
   preneur:=joueur[lesparties[numero].preneur].noms;
   defense:=lesparties[numero].defense;
   case lesparties[numero].contrat of
   1:contrat:=rsprise;
   2:contrat:=rsgarde;
   4:contrat:=rsgardesans;
   6:contrat:=rsgardecontre;
   end;
   chaine:=rsdetailduscore+' '+inttostr(numero)+' '+datetimetostr(horaire);
   end else chaine:=rsPartieNulle;
   PostIt.memo1.lines.add(chaine);
   if lesparties[numero].visible then
    begin
    if contrat='prise' then chaine:=rsprise;
   if contrat='garde' then chaine:=rsgarde;
   if contrat='garde sans le chien' then chaine:=rsgardesans;
   if contrat='garde contre le chien' then chaine:=rsgardecontre;
   chaine:=rscontratdemande+' '+rspar+' '+preneur+' : '+chaine;
   PostIt.memo1.lines.add(chaine);
   //puis "gagné de", primes...
   gagnede:=lesparties[numero].points;
   case lesparties[numero].nbbouts of
        0 : gagnede:=gagnede-56;
        1 : gagnede:=gagnede-51;
        2 : gagnede:=gagnede-41;
        3 : gagnede:=gagnede-36;
        end;


   if gagnede>0 then chaine:=rsperdude+' '+inttostr(gagnede);
   if gagnede<0 then chaine:=rsgagnede+' '+inttostr(-gagnede);
   PostIt.memo1.lines.add(chaine);
   chaine:=rsprimes;
   if lesparties[numero].petitaubout then
      begin
      if lesparties[numero].petitauboutpreneur then petitaubout:=rspreneur else petitaubout:=rsdefense;
      chaine:=chaine+' '+rspetitaubout+'('+petitaubout+')';
      end;
   if lesparties[numero].simple then chaine:=chaine+' '+rspoigneesimple;
   if lesparties[numero].double then chaine:=chaine+' '+rspoigneedouble;
   if lesparties[numero].triple then chaine:=chaine+' '+rspoigneetriple;
   if chaine<>rsprimes then PostIt.memo1.lines.add(chaine);

    end;
PostIt.left:=x+minx+FormGraph.Left;
PostIt.top:=y+minx+FormGraph.top;

PostIt.show;

end;


initialization
  {$I ugraph.lrs}

end.

