unit Unit7;
        {stats}
{$mode DELPHI}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Grids;

type

  { TFormStat }

  TFormStat = class(TForm)
    StringGrid1: TStringGrid;
    procedure FormShow;
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  FormStat: TFormStat;

implementation
uses unit1;
{ TFormStat }

procedure TFormStat.FormShow;
var m,n:integer;
begin

stringgrid1.cells[0,0]:='nom';
stringgrid1.cells[0,1]:='score';
stringgrid1.cells[0,2]:='prises';
stringgrid1.cells[0,3]:='gardes';
stringgrid1.cells[0,4]:='gardes sans';
stringgrid1.cells[0,5]:='gardes contre';
stringgrid1.cells[0,6]:='contrats gagnés';
stringgrid1.cells[0,7]:='contrats perdus';
stringgrid1.cells[0,8]:='taux d''attaque';
stringgrid1.cells[0,9]:='taux de réussite';

stringgrid1.cells[0,10]:='chelems';
stringgrid1.cells[0,11]:='poignées';
stringgrid1.cells[0,12]:='petit au bout';
stringgrid1.cells[0,13]:='gain moyen';
stringgrid1.cells[0,14]:='ecart type sur gain';
stringgrid1.cells[0,15]:='perte moyenne';
stringgrid1.cells[0,16]:='écart type sur perte';
stringgrid1.AutoSizeColumns;
stringgrid1.cells[0,17]:='moyenne globale';
stringgrid1.cells[0,18]:='écart type global';



for m:=1 to nombre+morts do
    begin
    stringgrid1.cells[m,0]:=joueur[m].noms;
    stringgrid1.cells[m,1]:=inttostr(joueur[m].total);
    stringgrid1.cells[m,2]:=inttostr(joueur[m].nbprise);
    stringgrid1.cells[m,3]:=inttostr(joueur[m].nbgarde);
    stringgrid1.cells[m,4]:=inttostr(joueur[m].nbsans);
    stringgrid1.cells[m,5]:=inttostr(joueur[m].nbcontre);
    stringgrid1.cells[m,6]:=inttostr(joueur[m].nbgagne);
    stringgrid1.cells[m,7]:=inttostr(joueur[m].nbperdu);
    stringgrid1.cells[m,8]:=inttostr(100*(joueur[m].nbgagne+joueur[m].nbperdu) div (strtoint(form1.edit13.text)))+'%';
    if joueur[m].nbgagne+joueur[m].nbperdu>0 then
    stringgrid1.cells[m,9]:=inttostr(100*joueur[m].nbgagne div (joueur[m].nbgagne+joueur[m].nbperdu))+'%';

    stringgrid1.cells[m,10]:=inttostr(joueur[m].nbchelem);
    stringgrid1.cells[m,11]:=inttostr(joueur[m].nbpoignee);
    stringgrid1.cells[m,12]:=inttostr(joueur[m].nbpetitaubout);

    stringgrid1.cells[m,13]:=inttostr(joueur[m].scoregagne);
    if joueur[m].nbgagne>0 then
    stringgrid1.cells[m,14]:=inttostr(joueur[m].scoregagne div joueur[m].nbgagne);
    stringgrid1.cells[m,15]:=inttostr(joueur[m].scoreperdu);
    if joueur[m].nbperdu>0 then
    stringgrid1.cells[m,16]:=inttostr(joueur[m].scoreperdu div joueur[m].nbperdu);
    stringgrid1.cells[m,17]:=inttostr(joueur[m].score);
    if (joueur[m].nbgagne+joueur[m].nbperdu)>0 then
    stringgrid1.cells[m,18]:=inttostr(joueur[m].score div (joueur[m].nbgagne+joueur[m].nbperdu));
    for n:=2 to 18 do    // par souci de lisibilité si zéro alors on ne l'affiche pas
        begin
        if (stringgrid1.cells[m,n]='0') or (stringgrid1.cells[m,n]='0%') then stringgrid1.cells[m,n]:='';
        end;
    end;
// reste à supprimer les colonnes qui ne servent à rien
stringgrid1.ColCount:=nombre+morts+1;

end;

initialization
  {$I unit7.lrs}

end.

