unit Unit1;
           {$MODE Delphi}
interface

uses
  SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons,unit2, Menus,
  Grids,unit5, LCLType, Lresources,unit6,unit4,
  inifiles, Ustats, unit7,Ugraph,process, LazHelpHTML;

type

  { TForm1 }

  TForm1 = class(TForm)
    ApplicationProperties1: TApplicationProperties;
    BitBtn2: TBitBtn;
    BitBtn5: TBitBtn;
    Edit14: TEdit;
    Edit15: TEdit;
    HelpBtn1: TBitBtn;
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem10: TMenuItem;
    MenuItem11: TMenuItem;
    MenuItem12: TMenuItem;
    MenuItem13: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    MenuItem7: TMenuItem;
    MenuItem8: TMenuItem;
    MenuItem9: TMenuItem;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    Label1: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    Edit6: TEdit;
    Label3: TLabel;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    BitBtn4: TBitBtn;
    Label4: TLabel;
    Edit13: TEdit;
    Label11: TLabel;
    StringGrid1: TStringGrid;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure Bevel2ChangeBounds(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    constructor Create(AOwner: TComponent); override;
    procedure MenuItem11Click(Sender: TObject);
    procedure MenuItem12Click(Sender: TObject);
    procedure MenuItem13Click(Sender: TObject);

    procedure MenuItem2Click(Sender: TObject);
    procedure Edit14EditingDone(Sender: TObject);
    procedure Edit14KeyPress(Sender: TObject; var Key: char);
    procedure Edit1Change(Sender: TObject);
    procedure Edit1EditingDone(Sender: TObject);
    procedure Edit2EditingDone(Sender: TObject);
    procedure Edit3EditingDone(Sender: TObject);
    procedure Edit3KeyPress(Sender: TObject; var Key: char);
    procedure BitBtn4Click(Sender: TObject);

    procedure Edit4EditingDone(Sender: TObject);
    procedure Edit4KeyPress(Sender: TObject; var Key: char);
    procedure Edit5EditingDone(Sender: TObject);

    procedure Edit5KeyPress(Sender: TObject; var Key: char);
    procedure Edit6EditingDone(Sender: TObject);
    procedure Edit6KeyPress(Sender: TObject; var Key: char);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure HelpBtn1Click(Sender: TObject);
    procedure Label11Click(Sender: TObject);
    procedure Label11DblClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure MenuItem1Click(Sender: TObject);
    procedure MenuItem5Click(Sender: TObject);
    procedure StringGrid1DblClick(Sender: TObject; X, Y: Integer);
    procedure StringGrid1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure StringGrid1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ComboBox1Change;
    procedure FormShow(Sender: TObject);
    procedure charge(lachaine:string);
    procedure sauve(lachaine:string);
    procedure raz;
  private
    { Private-déclarations }
  public
    { Public-déclarations }
  end;
type  tjoueur=record
                noms:string;
                nbprise:integer;
                nbgarde:integer;
                nbsans:integer;
                nbcontre:integer;
                nbgagne,nbperdu:integer;
                score,scoregagne,scoreperdu:integer;  //donnera la moyenne
                etype,etgagne,etperdu:integer;     //donnera l'écart-type
                                       //gros écart-type relatif = mauvais évaluateur
                                       //audace=nbgagne+nbperdu/total
                                       //reussite=nbgagne/nbgagne+nbperdu

                nbpetitaubout:integer;
                nbbouts:integer;
                nbpoignee:integer;
                nbchelem:integer;
                total:integer;
                end;

var

  browser:string;
  newsave:string; //nouveau nom du fichier de sauvegarde
  bzchange:boolean;
  Form1: TForm1;
  morts,nombre:byte; {de joueurs}
  parties:integer;
  joueur:array[1..7] of tjoueur;

implementation

constructor TForm1.Create(AOwner: TComponent);


Begin
 inherited Create(AOwner);
 browser:= GetEnvironmentVariable('BROWSER');
 if browser= '' then browser := 'c:\program files\internet explorer\iexplore.exe';  //variable globale browser
 //translateresourcestrings('./',langage);
 Bitbtn1.caption:=rsfermer;
 Label2.caption:=rsjoueur;
 label4.caption:=rspartiesjouees;
 bitbtn4.caption:=rsajoutscore;
 label9.caption:=rsaidememoire;
 //bitbtn3.caption:=rsraz;
 label3.caption:=rstotal;
 label1.caption:=rsmorts;

 form1.caption:=rstitreform1;
 combobox1.items[0]:=rsUnRoi;
 combobox1.items[1]:=rsLe21;
 combobox1.items[2]:=rsExcuse;
 combobox1.items[3]:=rsLe1;
 combobox1.items[4]:=rsUneDame;
 combobox1.items[5]:=rsUnCavalier;
 combobox1.items[6]:=rsUnValet;
 combobox1.items[7]:=rsUneAutreCarte;
 combobox2.items[0]:=rsUneCarteBasse;
 combobox2.items[1]:=rsRien;
 combobox2.items[2]:=rsLe21;
 combobox2.items[3]:=rsExcuse;
 combobox2.items[4]:=rsLe1;
 combobox2.items[5]:=rsUnRoi;
 combobox2.items[6]:=rsUneDame;
 combobox2.items[7]:=rsUnCavalier;
 combobox2.items[8]:=rsUnValet;
 
end;

procedure TForm1.MenuItem11Click(Sender: TObject);
var
  v: THTMLBrowserHelpViewer;
  BrowserPath, BrowserParams: string;
  p: LongInt;
  URL: String;
  BrowserProcess: TProcess;
begin
  v:=THTMLBrowserHelpViewer.Create(nil);
  try
    v.FindDefaultBrowser(BrowserPath,BrowserParams);
    //debugln(['Path=',BrowserPath,' Params=',BrowserParams]);

    URL:='http://www.beuselinck.fr';
    p:=System.Pos('%s', BrowserParams);
    System.Delete(BrowserParams,p,2);
    System.Insert(URL,BrowserParams,p);

    // start browser
    BrowserProcess:=TProcess.Create(nil);
    try
      BrowserProcess.CommandLine:=BrowserPath+' '+BrowserParams;
      BrowserProcess.Execute;
    finally
      BrowserProcess.Free;
    end;
  finally
    v.Free;
  end;
end;

procedure TForm1.MenuItem12Click(Sender: TObject);
begin
form2.show;
end;

procedure TForm1.MenuItem13Click(Sender: TObject);
var
  v: THTMLBrowserHelpViewer;
  BrowserPath, BrowserParams: string;
  p: LongInt;
  URL: String;
  BrowserProcess: TProcess;
begin
  v:=THTMLBrowserHelpViewer.Create(nil);
  try
    v.FindDefaultBrowser(BrowserPath,BrowserParams);
    //debugln(['Path=',BrowserPath,' Params=',BrowserParams]);

    URL:='http://www.beuselinck.fr/spip.php?article173';
    p:=System.Pos('%s', BrowserParams);
    System.Delete(BrowserParams,p,2);
    System.Insert(URL,BrowserParams,p);

    // start browser
    BrowserProcess:=TProcess.Create(nil);
    try
      BrowserProcess.CommandLine:=BrowserPath+' '+BrowserParams;
      BrowserProcess.Execute;
    finally
      BrowserProcess.Free;
    end;
  finally
    v.Free;
  end;
end;

procedure TForm1.Bevel2ChangeBounds(Sender: TObject);
begin

end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin

if stringgrid1.RowCount>3 then FormStat.show;
end;

procedure TForm1.BitBtn5Click(Sender: TObject);
begin
if stringgrid1.RowCount>3 then FormGraph.show;
end;

procedure TForm1.MenuItem2Click(Sender: TObject);

begin
form1.raz;

end;
procedure Tform1.raz;
{remise à zéro de tout}
var n:byte;
begin
setlength(lesparties,0);
speedbutton3.down:=true;
edit1.text:='';
edit2.text:='';
edit3.text:='';
edit4.text:=''; edit4.visible:=false;
edit5.text:=''; edit5.visible:=false;
edit6.text:=''; edit6.visible:=false;
edit7.text:=''; edit7.visible:=false;
edit8.text:=''; edit8.visible:=false;
edit9.text:=''; edit9.visible:=false;
edit10.text:='';edit10.visible:=false;
edit11.text:='';edit11.visible:=false;
edit12.text:='';edit12.visible:=false;
edit14.text:='';edit14.visible:=false;
edit15.text:='';edit15.visible:=false;

edit13.text:='0';
for n:=1 to 7 do

    with joueur[n] do
         begin total:=0;
               noms:='';
               nbprise:=0;
               nbgarde:=0;
                nbsans:=0;
                nbcontre:=0;
                nbgagne:=0;
                nbperdu:=0;
                score:=0;scoregagne:=0;scoreperdu:=0;
                etype:=0;
                etgagne:=0;
                etperdu:=0;
                nbpetitaubout:=0;
                nbbouts:=0;
                nbpoignee:=0;
                nbchelem:=0;
         end;
nombre:=0;
stringgrid1.rowcount:=2;
stringgrid1.colcount:=4;
stringgrid1.rows[0].clear;
stringgrid1.rows[1].clear;

end;

procedure TForm1.Edit14EditingDone(Sender: TObject);

begin
if edit14.text='' then
   begin
   edit14.visible:=false;
   edit15.visible:=false;
   joueur[7].noms:='';
   stringgrid1.colcount:=6;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   speedbutton1.down:=true;
   end;
joueur[7].noms:=edit14.text;
stringgrid1.cells[7,0]:=edit14.text;
end;





procedure TForm1.Edit1EditingDone(Sender: TObject);
begin
joueur[1].noms:=edit1.text;
if edit1.text<>'' then
   edit7.visible:=true;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
stringgrid1.cells[1,0]:=edit1.text;
end;




procedure TForm1.Edit2EditingDone(Sender: TObject);
begin
joueur[2].noms:=edit2.text;
if edit2.text<>'' then
   edit8.visible:=true;

   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
stringgrid1.cells[2,0]:=edit2.text;
end;

procedure TForm1.Edit3EditingDone(Sender: TObject);
var n:byte;
begin
joueur[3].noms:=edit3.text;
if edit3.text='' then
   begin
   edit4.visible:=false;
   edit5.visible:=false;
   edit6.visible:=false;
   edit9.visible:=false;
   edit10.visible:=false;
   edit11.visible:=false;
   edit12.visible:=false;
   edit14.visible:=false;
   edit15.visible:=false;
   for n:=3 to 7 do joueur[n].noms:='';
   stringgrid1.colcount:=4;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   speedbutton3.down:=true;
   end;
stringgrid1.cells[3,0]:=edit3.text;
end;




procedure TForm1.Edit3KeyPress(Sender: TObject; var Key: char);
begin
if edit3.text<>'' then
   begin
   edit9.visible:=true;
   edit4.visible:=true;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   end else
   begin
   edit9.visible:=false;
   edit4.visible:=false;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   end;
joueur[3].noms:=edit3.text;
stringgrid1.cells[3,0]:=edit3.text;
end;


procedure TForm1.Edit4KeyPress(Sender: TObject; var Key: char);
begin
if edit4.text<>'' then
   begin
   edit10.visible:=true;
   edit5.visible:=true;
   if stringgrid1.colcount<5 then stringgrid1.colcount:=5;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   end else
   begin
   edit10.visible:=false;
   edit5.visible:=false;
   if stringgrid1.colcount=5 then stringgrid1.colcount:=4;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;

   end;
joueur[4].noms:=edit4.text;
end;

procedure TForm1.Edit5EditingDone(Sender: TObject);
var n:byte;
begin
joueur[5].noms:=edit5.text;
if edit5.text='' then
   begin
   edit6.visible:=false;
   edit11.visible:=false;
   edit12.visible:=false;
   edit14.visible:=false;
   edit15.visible:=false;
   stringgrid1.cells[3,0]:='';
   for n:=5 to 7 do joueur[n].noms:='';
   stringgrid1.colcount:=6;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   speedbutton3.down:=true;
   end;
stringgrid1.cells[5,0]:=edit5.text;
end;

procedure TForm1.Edit5KeyPress(Sender: TObject; var Key: char);
begin
if edit5.text<>'' then
   begin
   edit11.visible:=true;
   edit6.visible:=true;
   if stringgrid1.colcount<6 then stringgrid1.colcount:=6;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   end else
   begin
   edit11.visible:=false;
   edit6.visible:=false;
   if stringgrid1.colcount=6 then stringgrid1.colcount:=5;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;

   end;
joueur[5].noms:=edit5.text;

end;

procedure TForm1.Edit6EditingDone(Sender: TObject);
var n:byte;
begin
stringgrid1.cells[6,0]:=edit6.text;
joueur[6].noms:=edit6.text;

if edit6.text='' then
   begin
   edit12.visible:=false;
   edit14.visible:=false;
   edit15.visible:=false;
   stringgrid1.cells[4,0]:='';

   for n:=6 to 7 do joueur[n].noms:='';
   stringgrid1.colcount:=6;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;

   end;
end;



procedure TForm1.Edit6KeyPress(Sender: TObject; var Key: char);
begin
joueur[6].noms:=edit6.text;
if edit6.text<>'' then
   begin
   edit12.visible:=true;
   edit14.visible:=true;
   speedbutton1.down:=true;
   if stringgrid1.colcount<7 then stringgrid1.colcount:=7;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   end else
   begin
   edit12.visible:=false;
   edit14.visible:=false;
   if stringgrid1.colcount=7 then stringgrid1.colcount:=6;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;

   end;

end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
var result:integer;
    nomdufic:string;
    fichier:tinifile;
begin
if bzchange then begin
if newsave<>'' then savedialog1.FileName:=newsave;
result:=application.messagebox('Voulez-vous enregistrer la partie ?','sauvegarde ?',MB_ICONQUESTION + MB_YESNO);
   if result=IDYES then
      if savedialog1.execute then
         begin
         // sauver le dernier nom connu
         nomdufic:=savedialog1.filename;
         form1.sauve(nomdufic);
         fichier:=tinifile.create('BzScore.ini');
         fichier.writestring('general','sauvegarde',nomdufic);
         fichier.free;
         end;
end; end;


procedure TForm1.Edit14KeyPress(Sender: TObject; var Key: char);
begin
joueur[7].noms:=edit14.text;

if edit14.text<>'' then
   begin
   edit15.visible:=true;
   speedbutton2.down:=true;
   if stringgrid1.colcount<8 then stringgrid1.colcount:=8;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   end else
   begin
   edit15.visible:=false;
   if stringgrid1.colcount=8 then stringgrid1.colcount:=7;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;

   end;

end;

procedure TForm1.Edit1Change(Sender: TObject);
begin

end;




procedure TForm1.BitBtn4Click(Sender: TObject);
var reponse,erreur:integer;
    chaine:string;
begin
nombre:=7;
if edit14.text='' then nombre:=6;
if edit6.text='' then nombre:=5;
if edit5.text='' then nombre:=4;
if edit4.text='' then nombre:=3;
joueur[1].noms:=edit1.text;
joueur[2].noms:=edit2.text;
joueur[3].noms:=edit3.text;
joueur[4].noms:=edit4.text;
joueur[5].noms:=edit5.text;
joueur[6].noms:=edit6.text;
joueur[7].noms:=edit14.text;

if (speedbutton1.down=true) and (nombre>3) then dec(nombre)
else if (speedbutton2.down=true) and (nombre>4) then nombre:=nombre-2
else speedbutton3.down:=true;
morts:=0;
if speedbutton1.down=true then morts:=1;
if speedbutton2.down=true then morts:=2;
val(edit13.text,reponse,erreur);
inc(reponse);
str(reponse,chaine);
formcalc.edit2.text:=chaine;
reponse:=formcalc.showmodal;
if reponse=mrok then
   begin
   str(joueur[1].total,chaine);
   if joueur[1].total<0 then
      edit7.font.color:=clred
      else edit7.font.color:=clblue;
   if joueur[1].total>0 then chaine:='+'+chaine;
   edit7.text:=chaine;
   str(joueur[2].total,chaine);
   if joueur[2].total<0 then
      edit8.font.color:=clred
      else edit8.font.color:=clblue;
   if joueur[2].total>0 then chaine:='+'+chaine;
   edit8.text:=chaine;
   str(joueur[3].total,chaine);
   if joueur[3].total<0 then
      edit9.font.color:=clred
      else edit9.font.color:=clblue;
   if joueur[3].total>0 then chaine:='+'+chaine;
   edit9.text:=chaine;
   str(joueur[4].total,chaine);
   if joueur[4].total<0 then
      edit10.font.color:=clred
      else edit10.font.color:=clblue;
   if joueur[4].total>0 then chaine:='+'+chaine;
   edit10.text:=chaine;
   str(joueur[5].total,chaine);
   if joueur[5].total<0 then
      edit11.font.color:=clred
      else edit11.font.color:=clblue;
   if joueur[5].total>0 then chaine:='+'+chaine;
   edit11.text:=chaine;
   str(joueur[6].total,chaine);
   if joueur[6].total<0 then
      edit12.font.color:=clred
      else edit12.font.color:=clblue;
   if joueur[6].total>0 then chaine:='+'+chaine;
   edit12.text:=chaine;
   str(joueur[7].total,chaine);
   if joueur[7].total<0 then
      edit15.font.color:=clred
      else edit15.font.color:=clblue;
   if joueur[7].total>0 then chaine:='+'+chaine;
   edit15.text:=chaine;

   {incrementer le nombre de parties jouées}
   val(edit13.text,parties,reponse);
   if parties>stringgrid1.rowcount-1 then stringgrid1.rowcount:=parties+1;
   stringgrid1.cells[0,parties]:=edit13.text;
   stringgrid1.cells[1,parties]:=edit7.text;
   stringgrid1.cells[2,parties]:=edit8.text;
   stringgrid1.cells[3,parties]:=edit9.text;
   if edit4.text<>'' then
   stringgrid1.cells[4,parties]:=edit10.text;
   if edit5.text<>'' then
   stringgrid1.cells[5,parties]:=edit11.text;
   if edit6.text<>'' then
   stringgrid1.cells[6,parties]:=edit12.text;
   if edit14.text<>'' then
   stringgrid1.cells[7,parties]:=edit15.text;

   inc(parties);
   str(parties,chaine);
   formcalc.edit2.text:=chaine;
   {mettre à zéro btnbottomdlg}
   {mettre le stringgrid à jour}
   if stringgrid1.cells[1,0]='' then
      begin
      stringgrid1.cells[1,0]:=edit1.text;
      stringgrid1.cells[2,0]:=edit2.text;
      stringgrid1.cells[3,0]:=edit3.text;
   if edit4.text<>'' then
      stringgrid1.cells[4,0]:=edit4.text;
   if edit5.text<>'' then
      stringgrid1.cells[5,0]:=edit5.text;
   if edit6.text<>'' then
      stringgrid1.cells[6,0]:=edit6.text;
   if edit14.text<>'' then
      stringgrid1.cells[7,0]:=edit14.text;
      end;

   end;
end;



procedure TForm1.Edit4EditingDone(Sender: TObject);
var n:byte;
begin
if edit4.text='' then
   begin
   edit5.visible:=false;
   edit6.visible:=false;
   edit10.visible:=false;
   edit11.visible:=false;
   edit12.visible:=false;
   edit14.visible:=false;
   edit15.visible:=false;
   for n:=4 to 7 do joueur[n].noms:='';
   stringgrid1.colcount:=5;
   stringgrid1.defaultcolwidth:=stringgrid1.clientwidth div stringgrid1.colcount;
   speedbutton3.down:=true;
   end;
joueur[4].noms:=edit4.text;
stringgrid1.cells[4,0]:=edit4.text;
end;



procedure TForm1.FormCreate(Sender: TObject);
var
fichier:tinifile;
 result:integer;

begin
bzchange:=false;
raz;
if paramcount=1 then newsave:=paramstr(1) else newsave:='';
if not (fileexists(newsave)) then
   begin
   fichier:=tinifile.create('BzScore.ini');
   newsave:=fichier.readstring('general','sauvegarde','');
   fichier.free;
   if fileexists(newsave) then
      begin
      result:=application.messagebox('Voulez-vous continuer la partie précédente ?','Reprendre ?',MB_ICONQUESTION + MB_YESNO);
      if result=IDYES then form1.charge(newsave);
      end;

   end else form1.charge(newsave);
end;

procedure tform1.charge(lachaine:string);
// charge un fichier de sauvegarde complet

var sauver:tinifile;
n,m,score:integer;
quantite:integer;


begin
raz;
bzchange:=false;
parties:=0;
bzchange:=false;
if fileexists(lachaine) then      // NOUVELLE SAUVEGARDE A RECUPERER
   begin
   //on récupère les données de ce fichier
   sauver:=tinifile.create(lachaine);
   if sauver.SectionExists('general') then
      begin
      for n:=1 to 7 do
       begin
       joueur[n].noms:=sauver.readstring('general',inttostr(n),'');
       if joueur[n].noms<>'' then
          begin
          stringgrid1.ColCount:=n+1;
          stringgrid1.cells[n,0]:=joueur[n].noms;   //maj du tableau
          end;
       end;
      morts:=sauver.readinteger('general','morts',0);
      case morts of
        0:speedbutton3.Down:=true;
        1:speedbutton1.Down:=true;
        2:speedbutton2.Down:=true;
        end;
      nombre:=sauver.readinteger('general','nombre',3);

      quantite:=sauver.readinteger('general','parties',0); // nombre de parties
      // mettre à jour les Tedit et leur score et mettre la propriété visible.
      stringgrid1.rowcount:=quantite+1;  //on agrandit le stringgrid
      edit13.text:=inttostr(quantite);
      edit1.text:=joueur[1].noms;
   if edit1.text<>'' then
      begin
      edit7.visible:=true;
      edit1.visible:=true;
      end;
   edit2.text:=joueur[2].noms;
   if edit2.text<>'' then
      begin
      edit8.visible:=true;
      edit2.visible:=true;
      end;
   edit3.text:=joueur[3].noms;
   if edit3.text<>'' then
      begin
      edit9.visible:=true;
      edit3.visible:=true;
      end;
   edit4.text:=joueur[4].noms;
   if edit4.text<>'' then
      begin
      edit10.visible:=true;
      edit4.visible:=true;
      end;
   edit5.text:=joueur[5].noms;
   if edit5.text<>'' then
      begin
      edit11.visible:=true;
      edit5.visible:=true;
      end;
   edit6.text:=joueur[6].noms;
   if edit6.text<>'' then
      begin
      edit12.visible:=true;
      edit6.visible:=true;
      end;
   edit14.text:=joueur[7].noms;
   if edit14.text<>'' then
      begin
      edit15.visible:=true;
      edit14.visible:=true;
      end;
   edit13.text:=inttostr(quantite);

   end else exit; // pas la peine de continuer vu qu'on n'a pas tout...

   setlength(lesparties,quantite+1);
   for n:= 1 to quantite do //pour chaque partie
       if sauver.readbool(inttostr(n),'visible',true)  then begin
       {charger lesparties}

       lesparties[n].contrat:=sauver.readinteger(inttostr(n),'contrat',0);
        lesparties[n].preneur:=sauver.readinteger(inttostr(n),'preneur',0);
        lesparties[n].appele:=sauver.readinteger(inttostr(n),'appele',0);
        lesparties[n].mort1:=sauver.readinteger(inttostr(n),'mort1',0);
        lesparties[n].mort2:=sauver.readinteger(inttostr(n),'mort2',02);
        lesparties[n].attaque:=sauver.readinteger(inttostr(n),'attaque',0);
        lesparties[n].defense:=sauver.readinteger(inttostr(n),'defense',0);
        lesparties[n].quand:=sauver.readdatetime(inttostr(n),'quand',0);
        lesparties[n].points:=sauver.readinteger(inttostr(n),'points',0); //les points déclarés
        lesparties[n].pointspreneur:=sauver.readbool(inttostr(n),'pointspreneur',true); //déclarés par qui
        lesparties[n].nbbouts:=sauver.readinteger(inttostr(n),'nbbouts',0);  // les bouts déclarés
        lesparties[n].boutspreneur:=sauver.readbool(inttostr(n),'boutspreneur',true); //déclarés par qui
        lesparties[n].contrat:=sauver.readinteger(inttostr(n),'contrat',0);
        lesparties[n].petitaubout:=sauver.readbool(inttostr(n),'petitaubout',false);
        lesparties[n].petitauboutpreneur:= sauver.readbool(inttostr(n),'petitauboutpreneur',true);
        lesparties[n].simple:=sauver.readbool(inttostr(n),'simple',false);
        lesparties[n].double:=sauver.readbool(inttostr(n),'double',false);
        lesparties[n].triple:=sauver.readbool(inttostr(n),'triple',false);
        lesparties[n].chelemok:=sauver.readbool(inttostr(n),'chelemok',false);
        lesparties[n].annoncechelem:=sauver.readbool(inttostr(n),'annoncechelem',false);
        lesparties[n].visible:=sauver.readbool(inttostr(n),'visible',true);
       calculseul(n);

       if lesparties[n].visible then
       begin

       //mettre à jour le tableau
       for m:=1 to nombre+morts do
           begin
           score:=joueur[m].total;
           stringgrid1.cells[m,n]:=inttostr(score);
           case m of
                  1:edit7.text:=inttostr(score);
                  2:edit8.text:=inttostr(score);
                  3:edit9.text:=inttostr(score);
                  4:edit10.text:=inttostr(score);
                  5:edit11.text:=inttostr(score);
                  6:edit12.text:=inttostr(score);
                  7:edit15.text:=inttostr(score);
                  end;
           end;
       end; // if visible }
       stringgrid1.cells[0,n]:=inttostr(n);
       end;
   sauver.free;

   end; {fileexists}
end;

procedure TForm1.sauve(lachaine:string);

var nul:integer;
nultext:string;
    sauver:tinifile;
    combien:integer;
begin
sauver:=TIniFile.Create(lachaine);

for nul:=1 to 7 do
      sauver.writestring('general',inttostr(nul),joueur[nul].noms);
sauver.writeinteger('general','morts',morts);
sauver.writeinteger('general','nombre',nombre);

combien:=strtoint(form1.edit13.text);
sauver.writeinteger('general','parties',combien);
for nul:=1 to combien do  //pour chaque partie
    begin
        nultext:=inttostr(nul);
        sauver.writebool(nultext,'visible',lesparties[nul].visible);
        sauver.writeinteger(nultext,'preneur',lesparties[nul].preneur);
        sauver.writeinteger(nultext,'appele',lesparties[nul].appele);
        sauver.writeinteger(nultext,'mort1',lesparties[nul].mort1);
        sauver.writeinteger(nultext,'mort2',lesparties[nul].mort2);
        sauver.writeinteger(nultext,'attaque',lesparties[nul].attaque);
        sauver.writeinteger(nultext,'defense',lesparties[nul].defense);
        sauver.writedatetime(nultext,'quand',lesparties[nul].quand);
        sauver.writeinteger(nultext,'points',lesparties[nul].points); //les points déclarés
        sauver.writebool(nultext,'pointspreneur',lesparties[nul].pointspreneur); //déclarés par qui
        sauver.writeinteger(nultext,'nbbouts',lesparties[nul].nbbouts);  // les bouts déclarés
        sauver.writebool(nultext,'boutspreneur',lesparties[nul].boutspreneur); //déclarés par qui
        sauver.writeinteger(nultext,'contrat',lesparties[nul].contrat);
        sauver.writebool(nultext,'petitaubout',lesparties[nul].petitaubout);
        sauver.writebool(nultext,'petitauboutpreneur',lesparties[nul].petitauboutpreneur);
        sauver.writebool(nultext,'simple',lesparties[nul].simple);
        sauver.writebool(nultext,'double',lesparties[nul].double);
        sauver.writebool(nultext,'triple',lesparties[nul].triple);
        sauver.writebool(nultext,'chelemok',lesparties[nul].chelemok);
        sauver.writebool(nultext,'annoncechelem',lesparties[nul].annoncechelem);


   end;
{for n:=1 to 7 do  // TOTAL DE CHAQUE JOUEUR A CE MOMENT-LA --> on va le recalculer
   begin
   sauver.writeinteger(edit2.text,inttostr(n),joueur[n].total);
   end; }

sauver.free;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);

begin

form1.close; //fermer l'application
end;

procedure TForm1.HelpBtn1Click(Sender: TObject);
// lancer la variable "browser" sur ./bzscore.html
// quelle est la fonction de lancement d'applis externes sous linux ?
// sous windows ?
var
  v: THTMLBrowserHelpViewer;
  BrowserPath, BrowserParams: string;
  p: LongInt;
  URL: String;
  BrowserProcess: TProcess;
begin
  v:=THTMLBrowserHelpViewer.Create(nil);
  try
    v.FindDefaultBrowser(BrowserPath,BrowserParams);
    //debugln(['Path=',BrowserPath,' Params=',BrowserParams]);

    URL:='bzscore.html';
    p:=System.Pos('%s', BrowserParams);
    System.Delete(BrowserParams,p,2);
    System.Insert(URL,BrowserParams,p);

    // start browser
    BrowserProcess:=TProcess.Create(nil);
    try
      BrowserProcess.CommandLine:=BrowserPath+' '+BrowserParams;
      BrowserProcess.Execute;
    finally
      BrowserProcess.Free;
    end;
  finally
    v.Free;
  end;
end;


procedure TForm1.Label11Click(Sender: TObject);
var
  v: THTMLBrowserHelpViewer;
  BrowserPath, BrowserParams: string;
  p: LongInt;
  URL: String;
  BrowserProcess: TProcess;
begin
  v:=THTMLBrowserHelpViewer.Create(nil);
  try
    v.FindDefaultBrowser(BrowserPath,BrowserParams);
    //debugln(['Path=',BrowserPath,' Params=',BrowserParams]);

    URL:='http://www.beuselinck.fr';
    p:=System.Pos('%s', BrowserParams);
    System.Delete(BrowserParams,p,2);
    System.Insert(URL,BrowserParams,p);

    // start browser
    BrowserProcess:=TProcess.Create(nil);
    try
      BrowserProcess.CommandLine:=BrowserPath+' '+BrowserParams;
      BrowserProcess.Execute;
    finally
      BrowserProcess.Free;
    end;
  finally
    v.Free;
  end;
end;


procedure TForm1.Label11DblClick(Sender: TObject);

var   LeProcess: TProcess;
  lachaine:string;
  taille,leslash,nm:integer;
begin
LeProcess := TProcess.Create(nil);
lachaine:=paramstr(0);
leslash:=0;
taille:=length(lachaine);
for nm:=1 to taille-1
    do if lachaine[nm]='\' then leslash:=nm;
lachaine:=copy(lachaine,1,leslash);
LeProcess.CommandLine := browser+' '+lachaine+'bzscore.html';
LeProcess.Execute;
LeProcess.Free;

end;

procedure exportdonnees(fichier:string);
var csv:textfile;
      sauver:tinifile;
    chaine:ansistring;
   n:byte;
begin
// ici on va exporter sous le même nom avec .csv au format csv

assignfile(csv,'exportbzscore.csv');
rewrite(csv);
chaine:='"heure","preneur","attaque","défense","contrat","nombre de bouts","petit au bout","poignée","chelem","';

sauver:=tinifile.create(newsave);
for n:=1 to 7 do
    chaine:=chaine+sauver.readstring('general',inttostr(n),'')+'","';
chaine:=chaine+'"';
writeln(csv,chaine);  // Ecriture de l'entête
for n:=1 to sauver.readinteger('general','parties',0) do
   if sauver.readbool(inttostr(n),'visible',true) then
   begin
   chaine:='"'+datetimetostr(sauver.readdatetime(inttostr(n),'datetime',0))+'","';
   chaine:=chaine+sauver.readstring(inttostr(n),'preneur','')+'",';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'attaque',0))+',';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'defense',0))+',"';
   chaine:=chaine+sauver.readstring(inttostr(n),'contrat','')+'",';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'nbbouts',0))+',"';
   chaine:=chaine+sauver.readstring(inttostr(n),'petitaubout','')+'","';
   chaine:=chaine+sauver.readstring(inttostr(n),'poignee','')+'","';
   chaine:=chaine+sauver.readstring(inttostr(n),'chelem','')+'",';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'1',0))+',';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'2',0))+',';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'3',0))+',';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'4',0))+',';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'5',0))+',';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'6',0))+',';
   chaine:=chaine+inttostr(sauver.readinteger(inttostr(n),'7',0));
   writeln(csv,chaine);
   end;

closefile(csv);
sauver.Free;
end;


procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=vk_f1 then form1.HelpBtn1Click(sender);
if key=vk_f2 then exportdonnees(newsave);

end;

procedure TForm1.MenuItem1Click(Sender: TObject);
begin

end;

procedure TForm1.MenuItem5Click(Sender: TObject);
begin

end;

procedure TForm1.StringGrid1DblClick(Sender: TObject; X, Y: Integer);


var P:TPoint;
    ACol,ARow:integer;
begin
  P:=Mouse.CursorPos;
  P:=StringGrid1.ScreenToClient(P);
  StringGrid1.MouseToCell(P.X,P.Y,ACol,ARow);
if application.messagebox('En etes-vous sur ?','suppression',MB_YESNO)=IDYES then
  begin
  lesparties[arow].visible:=false;
  bzchange:=true;
  end;
end;


procedure TForm1.StringGrid1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);

var colonne,rangee:integer;
      defense:integer;
      horaire:tdatetime;
      petitaubout,numero,preneur:string;
      gagnede:integer;

      chaine:string;

begin
colonne:=x div stringgrid1.DefaultColWidth;
rangee:=y div stringgrid1.defaultrowheight;

if button=mbRight then
begin
{c'est ici que je donne les infos en pop-up}
PostIt.memo1.clear;
if (rangee=0) and (colonne>0) then {statistiques sur joueur}
  begin

  PostIt.memo1.lines.add(joueur[colonne].noms);

  if joueur[colonne].nbprise>0 then PostIt.memo1.lines.add('Prises : '+inttostr(joueur[colonne].nbprise));
  if joueur[colonne].nbgarde>0 then PostIt.memo1.lines.add('Nb de gardes : '+inttostr(joueur[colonne].nbgarde));
  if joueur[colonne].nbsans>0 then PostIt.memo1.lines.add('Nb de gardes sans le chien : '+inttostr(joueur[colonne].nbsans));
  if joueur[colonne].nbcontre>0 then PostIt.memo1.lines.add('Nombre de gardes contre le chien : '+inttostr(joueur[colonne].nbcontre));
  if joueur[colonne].nbgagne>0 then PostIt.memo1.lines.add('Gagnées : '+inttostr(joueur[colonne].nbgagne));
  if joueur[colonne].nbperdu>0 then PostIt.memo1.lines.add('Perdues : '+inttostr(joueur[colonne].nbperdu));
  if strtoint(edit13.text)>0 then PostIt.memo1.lines.add('% d''audace : '+inttostr(100*(joueur[colonne].nbgagne+joueur[colonne].nbperdu) div strtoint(edit13.text)));
  if joueur[colonne].nbgagne+joueur[colonne].nbperdu>0 then PostIt.memo1.lines.add('% de réussite : '+inttostr(100*joueur[colonne].nbgagne div (joueur[colonne].nbgagne+joueur[colonne].nbperdu)));
  

  end
else
    {infos sur la partie cliquée}
   if (rangee>0) and (rangee<stringgrid1.rowcount) and (lesparties[rangee].visible) then
   begin
   numero:=stringgrid1.cells[0,rangee];
   horaire:= lesparties[rangee].quand;

        preneur:=joueur[lesparties[rangee].preneur].noms;
        defense:=lesparties[rangee].defense;
        chaine:=rsdetailduscore+' '+numero+' '+datetimetostr(horaire);
        //if visible=false then PostIt.memo1.lines.add(rsPartieNulle);
        PostIt.memo1.lines.add(chaine);
        case lesparties[rangee].contrat of
             1:chaine:=rsprise;
             2:chaine:=rsgarde;
             4:chaine:=rsgardesans;
             6:chaine:=rsgardecontre;
        end;
        chaine:=rscontratdemande+' '+rspar+' '+preneur+' : '+chaine;
   PostIt.memo1.lines.add(chaine);
   //puis "gagné de", primes...

   gagnede:=lesparties[rangee].points;
   case lesparties[rangee].nbbouts of
        0 : gagnede:=gagnede-56;
        1 : gagnede:=gagnede-51;
        2 : gagnede:=gagnede-41;
        3 : gagnede:=gagnede-36;
        end;
   if gagnede<0 then chaine:=rsperdude+' '+inttostr(gagnede);
   if gagnede>=0 then chaine:=rsgagnede+' '+inttostr(gagnede);
  PostIt.memo1.lines.add(chaine);
   chaine:=rsprimes;
   if lesparties[rangee].petitaubout then
      begin
      if lesparties[rangee].petitauboutpreneur then petitaubout:=rspreneur else petitaubout:=rsdefense;
      chaine:=chaine+' '+rspetitaubout+'('+petitaubout+')';
      end;
   if lesparties[rangee].simple then
     chaine:=chaine+' '+rspoigneesimple;
   if lesparties[rangee].double then
     chaine:=chaine+' '+rspoigneedouble;
   if lesparties[rangee].triple then
     chaine:=chaine+' '+rspoigneetriple;

   if chaine<>rsprimes then PostIt.memo1.lines.add(chaine);

   
   end else PostIt.memo1.lines.add('BzScore Copyright V. BEUSELINCK');



PostIt.width:=stringgrid1.defaultcolwidth*3;
PostIt.memo1.width:=PostIt.width-5;
PostIt.height:=abs(PostIt.memo1.lines.count*PostIt.memo1.font.height)+50;
PostIt.memo1.height:=PostIt.height;
PostIt.left:=x+stringgrid1.left+form1.left+10;
PostIt.top:=y+stringgrid1.top+form1.top+50;
if (PostIt.top+PostIt.height>screen.height) then PostIt.top:=PostIt.top-PostIt.height;
if (PostIt.left+PostIt.width>screen.width) then PostIt.left:=PostIt.left-PostIt.width;
PostIt.show;
end; //if button=mbright

end;

procedure TForm1.StringGrid1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
PostIt.close;
end;

procedure TForm1.ComboBox1Change;
const valeur1:array[0..7] of byte=(9,9,9,9,7,5,3,1);
       valeur2:array[0..8] of byte=(1,0,9,9,9,9,7,5,3);
var
valeur:byte;
chaine:string;
begin
valeur:=valeur1[combobox1.itemindex]+
        valeur2[combobox2.itemindex];
chaine:=inttostr(valeur div 2);
if valeur mod 2=1 then chaine:=chaine+'.5';
if chaine='1' then chaine:=rs1Point else
chaine:=Format(rspoints, [chaine]);
label8.caption:=chaine  ;  //refaire le calcul
end;

procedure TForm1.FormShow(Sender: TObject);
begin
combobox1.itemindex:=0;
combobox2.itemindex:=0;
combobox1change;
end;


initialization
{$i Unit1.lrs}
end.
